[Unit]
Description=Run firefox in kisk mode
After=systemd-user-sessions.service

[Service]
Environment="DISPLAY=:0"
User=kiosk

WorkingDirectory=~

PAMName=login
Environment=XDG_SESSION_TYPE=x11
TTYPath=/dev/tty8
StandardInput=tty
UnsetEnvironment=TERM

UtmpIdentifier=tty8
UtmpMode=user
ExecStartPre=/usr/bin/chvt 8
StandardOutput=journal
ExecStart=/usr/bin/startx /opt/kiosk/kiosk.sh -- vt8 -keeptty -verbose 3 
ExecStop=/usr/bin/pkill -uroot -9 Xorg 
Restart=no
#Restart=always
#RestartSec=3

[Install]
WantedBy=multi-user.target

